- entityDefinitions:
  - IDI_Task_ViewBuildAttributeMethod: '{da856880-098d-4d6d-81ee-131345d7bbaf}'
  - IDI_Task_EditBuildAttributeMethod: '{151774b0-4da9-4569-99c9-33220369a317}'
  - IDE_BuildAttributeMethod_View: '{20223aca-e792-4d45-b10f-ee2440d55fb8}'
  - IDE_BuildAttributeMethod_Edit: '{9e6e7b88-412e-4b31-b943-72003bd48533}'
  - IDE_BuildAttributeMethod_Implementation: '{4bbbad38-54b9-4c37-ba51-c9595e0f1542}'
  - IDE_BuildAttributeMethod: '{263dacea-c414-4a88-9820-8931aa448494}'
  - IDE_BuildAttributeMethod_Components: '{4526f7aa-66b6-4c67-a98b-01b9d5dc3167}'

  - IDM_Build_Attribute_Method__get__Build_Attribute_Method_Components: '{37fba2f0-a7e3-4d2c-918b-745e29871274}'
  - IDMB_Build_Attribute_Method__get__Build_Attribute_Method_Components: '{cc13b993-f177-4323-9941-229de827108d}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewBuildAttributeMethod;'
    name: 'View BA - Build Attribute Method'
    initiatingElement: '&IDE_BuildAttributeMethod_View_Start;'
    taskCategory: '&IDI_TaskCategory_BuildAttributeMethod;'

  - sequenceTask: '&IDI_Task_EditBuildAttributeMethod;'
    name: 'Edit BA - Build Attribute Method'
    initiatingElement: '&IDE_BuildAttributeMethod_Edit_Start;'
    taskCategory: '&IDI_TaskCategory_BuildAttributeMethod;'

  - element: '&IDE_BuildAttributeMethod_View;'
    name: 'View BA - Build Attribute Method'
    elementContents:
    - globalIdentifier: '{7bcf20c9-c7c8-479b-8701-7f1cec5596af}'
      defaultDataType: '&IDE_BuildAttributeMethod;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_BuildAttributeMethod_Edit;'
    name: 'Edit BA - Build Attribute Method'
    elementContents:
    - globalIdentifier: '{446e588d-a693-4f30-a075-db9216ce2b30}'
      defaultDataType: '&IDC_BuildAttributeMethod;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{143a7852-018a-4bd4-ba76-4481b9711651}'
      defaultDataType: '&IDE_BuildAttributeMethod;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_BuildAttributeMethod;'
    name: 'ba'
    elementContents:
    - globalIdentifier: '{f7fc6c0a-8bd6-45d8-ac31-99316029b4c9}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{6e9bb2f6-8527-402e-a50f-31fbc6de961f}'
      defaultDataType: '&IDE_BuildAttributeMethod_Implementation;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - getReferencedInstanceSetMethod: '&IDM_Build_Attribute_Method__get__Build_Attribute_Method_Components;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_BuildAttributeMethod;'
    returnsWorkSetId: '&IDI_WorkSet_BuildAttributeMethodComponentNonsingular;'
    verb: 'get'
    name: 'Build Attribute Method Components'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_BuildAttributeMethod;'
    answerInstanceSet: '&IDR_Build_Attribute_Method__builds_with__Build_Attribute_Method_Component;'
    singular: no
    
  - returnInstanceSetMethodBinding: '&IDMB_Build_Attribute_Method__get__Build_Attribute_Method_Components;'
    executesMethod: '&IDM_Build_Attribute_Method__get__Build_Attribute_Method_Components;'

  - element: '&IDE_BuildAttributeMethod_Implementation;'
    name: 'ba subedit'
    label: 'Method Implementation'
    elementContents:
    - globalIdentifier: '{e0d72995-b9a8-4355-8c01-894378bf2751}'
      defaultDataType: '&IDA_Value;'
      label: 'Initial Value'
      order: a
    - globalIdentifier: '{b10f2228-1ca4-4dd5-a57f-ae8978cc01ba}'
      defaultDataType: '&IDR_Build_Attribute_Method__returns__Attribute;'
      label: 'Returns Attribute'
      order: b
    - globalIdentifier: '{03ac7e75-b1be-4700-baa6-23caeb3ddbff}'
      defaultDataType: '&IDE_BuildAttributeMethod_Components;'
      label: 'Builds with Attributes from RAMBs'
      order: c
      builtFromBEMProcess:
      - globalIdentifier: '{251d2c93-7538-4461-8f64-2e0efb14af96}'
        loopExecutableReturningInstanceSet: '&IDMB_Build_Attribute_Method__get__Build_Attribute_Method_Components;'

  - element: '&IDE_BuildAttributeMethod_Components;'
    name: 'ba components'
    label: 'Components'
    elementContents:
    - globalIdentifier: '{f126ae0f-6a40-45dc-8c7c-13fcf0b6c315}'
      defaultDataType: '&IDC_BuildAttributeMethodComponent;'
      label: 'Build Attribute Method Component'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{7d64ed5d-b254-46cb-987b-bc2e674f34cb}'
      defaultDataType: '&IDR_Build_Attribute_Method_Component__uses__Executable_returning_Attribute;'
      label: 'Executes RAMB'
    - globalIdentifier: '{483ece00-7e5e-42da-81f2-53993d99f9e2}'
      defaultDataType: '&IDA_Order;'
      label: 'Order'